<!--
 - Created by MarosGrajcar on 11/21/2019.
 -->

<!-- Eqt Forms Holder -->
<template>
    <c-hog_generic_accordion load-open-accordion="true"
                             header="Equipment Hierarchy"
                             use-cookies-state="true"
                             unique-accordion-identifier="eqt_forms_holder">

        <!--MEDIUM AND LARGE DEVICES-->
        <div class="slds-text-align--right slds-show_medium">
            <lightning-button label="Add Equipment Form" onclick={handleAddEquipmentForm}></lightning-button>
            <lightning-button label="Transfer TO Form" onclick={handleTransferToEquipmentForm}></lightning-button>
            <lightning-button label="Transfer FROM Form" onclick={handleTransferFromEquipmentForm}></lightning-button>
        </div>

        <!--SMALL DEVICES-->
        <div class="slds-text-align--right slds-hide_medium">
            <lightning-button-icon icon-name="utility:new"
                                   alternative-text="Add Equipment Form"
                                   size="small"
                                   onclick={handleAddEquipmentForm}>
            </lightning-button-icon>
            <lightning-button-icon icon-name="utility:download"
                                   alternative-text="Transfer TO Form"
                                   size="small"
                                   onclick={handleTransferToEquipmentForm}>
            </lightning-button-icon>
            <lightning-button-icon icon-name="utility:upload"
                                   alternative-text="Transfer FROM Form"
                                   size="small"
                                   onclick={handleTransferFromEquipmentForm}>
            </lightning-button-icon>
        </div>


        <div if:true={recordId}>
            <c-eqt_table_view record-id={recordId}></c-eqt_table_view>
        </div>

        <template if:true={showforms}>
            <div class="slds-p-top--medium">
                <c-eqt_add_transfer_forms record-id={recordId}></c-eqt_add_transfer_forms>
            </div>

        </template>

        <!--MODAL-->
        <template if:true={openAddFormModal}>
            <section class="slds-modal slds-fade-in-open slds-modal_large">
                <div class="slds-modal__container">
                    <header class="slds-modal__header">
                        <template if:true={showButtons}>
                            <button class="slds-button slds-button_icon slds-modal__close" title="Close"
                                    onclick={closeAddFormModal}>
                                <lightning-icon icon-name="utility:close" size="medium">
                                </lightning-icon>
                                <span class="slds-assistive-text">Close</span>
                            </button>
                        </template>
                        <h2 class="slds-text-heading_medium slds-hyphenate">Add Equipment Form</h2>
                    </header>
                    <div class="slds-modal__content slds-p-around_medium">
                        <c-eqt_add_cru flock-id={recordId} onclosemodal={closeAddFormModal}
                                       onenablebuttons={enableButtons}></c-eqt_add_cru>
                    </div>
                    <footer class="slds-modal__footer slds-text-align--left">
                        <template if:true={showButtons}>
                            <lightning-button label="Submit" variant="brand" onclick={saveAddForm}></lightning-button>
                            <lightning-button label="Cancel" variant="neutral"
                                              onclick={closeAddFormModal}></lightning-button>
                        </template>
                    </footer>
                </div>
            </section>
            <div class="slds-backdrop slds-backdrop_open"></div>
        </template>

        <!--MODAL-->
        <template if:true={openTransferToFormModal}>
            <section class="slds-modal slds-fade-in-open slds-modal_large">
                <div class="slds-modal__container">
                    <header class="slds-modal__header">
                        <template if:true={showButtons}>
                            <button class="slds-button slds-button_icon slds-modal__close" title="Close"
                                    onclick={closeTransferToFormModal}>
                                <lightning-icon icon-name="utility:close" size="medium">
                                </lightning-icon>
                                <span class="slds-assistive-text">Close</span>
                            </button>
                        </template>
                        <h2 class="slds-text-heading_medium slds-hyphenate">Transfer Equipment TO Form</h2>
                    </header>
                    <div class="slds-modal__content slds-p-around_medium slds-scrollable">
                        <c-eqt_transfer_cru flock-id={recordId} onenablebuttons={enableButtons}
                                            onclosemodal={closeTransferToFormModal}></c-eqt_transfer_cru>
                    </div>
                    <footer class="slds-modal__footer slds-text-align--left">
                        <template if:true={showButtons}>
                            <lightning-button label="Submit" variant="brand"
                                              onclick={saveTransferForm}></lightning-button>
                            <lightning-button label="Cancel" variant="neutral"
                                              onclick={closeTransferToFormModal}></lightning-button>
                        </template>
                    </footer>
                </div>
            </section>
            <div class="slds-backdrop slds-backdrop_open"></div>
        </template>

        <!--MODAL-->
        <template if:true={openTransferFromFormModal}>
            <section class="slds-modal slds-fade-in-open slds-modal_large">
                <div class="slds-modal__container">
                    <header class="slds-modal__header">
                        <template if:true={showButtons}>
                            <button class="slds-button slds-button_icon slds-modal__close" title="Close"
                                    onclick={closeTransferFromFormModal}>
                                <lightning-icon icon-name="utility:close" size="medium">
                                </lightning-icon>
                                <span class="slds-assistive-text">Close</span>
                            </button>
                        </template>
                        <h2 class="slds-text-heading_medium slds-hyphenate">Transfer Equipment FROM Form</h2>
                    </header>
                    <div class="slds-modal__content slds-p-around_medium">
                        <c-eqt_transfer_cru flock-id={recordId} is-from-form={openTransferFromFormModal}
                                            onclosemodal={closeTransferFromFormModal}
                                            onenablebuttons={enableButtons}></c-eqt_transfer_cru>
                    </div>
                    <footer class="slds-modal__footer slds-text-align--left">
                        <template if:true={showButtons}>
                            <lightning-button label="Submit" variant="brand"
                                              onclick={saveTransferForm}></lightning-button>
                            <lightning-button label="Cancel" variant="neutral"
                                              onclick={closeTransferFromFormModal}></lightning-button>
                        </template>
                    </footer>
                </div>
            </section>
            <div class="slds-backdrop slds-backdrop_open"></div>
        </template>
    </c-hog_generic_accordion>
</template>